: Class AttributeDescription

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.tools.resources.serialization
Class AttributeDescription

    java.lang.Object
      |
      +--org.w3c.tools.resources.serialization.AttributeDescription

public class AttributeDescription
extends java.lang.Object

Constructor Summary
`AttributeDescription(Attribute attribute, java.lang.Object value)` Constructor.

Method Summary
`Attribute` | `getAttribute()` Get the attribute itself.
`java.lang.String` | `getClassName()` Get the attribute class name
`java.lang.String` | `getName()` Get the attribute name.
`java.lang.Object` | `getValue()` Get the attribute value
`void` | `setValue(java.lang.Object value)` Set the attribute value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AttributeDescription

    public AttributeDescription(Attribute attribute,
                                java.lang.Object value)

  Constructor.
  Parameters:
    `attribute` - the attribute itself
    `value` - the attribute value.

Method Detail

### getClassName

    public java.lang.String getClassName()

  Get the attribute class name
  Returns:
    a String

### getName

    public java.lang.String getName()

  Get the attribute name.
  Returns:
    a String

### getValue

    public java.lang.Object getValue()

  Get the attribute value
  Returns:
    an Object

### setValue

    public void setValue(java.lang.Object value)

  Set the attribute value.
  Parameters:
    `the` - new value

### getAttribute

    public Attribute getAttribute()

  Get the attribute itself.
  Returns:
    an Attribute instance
  See Also:
    `Attribute`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD